Oore CI
ReferenceAPIOperationsNotification Channels

Create notification channel

Creates a new webhook or Mattermost notification channel.

Operation IDcreate_notification_channel
POST
/v1/settings/notification-channels

Creates a new webhook or Mattermost notification channel.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/settings/notification-channels" \  -H "Content-Type: application/json" \  -d '{    "channel_type": "webhook",    "name": "string"  }'
{  "channel": {    "channel_type": "webhook",    "created_at": 0,    "created_by": "string",    "enabled": true,    "events": [      "string"    ],    "has_secret": true,    "has_smtp_config": true,    "has_url": true,    "id": "string",    "name": "string",    "updated_at": 0  }}